## org.eclipse.jet
Interface JET2TemplateManager.ITemplateRunner

Enclosing class:
  JET2TemplateManager

    public static interface JET2TemplateManager.ITemplateRunner

Defines the protocol for an operation that dynamically invokes JET2 templates.

See Also:
  `JET2TemplateManager.run(String[], JET2TemplateManager.ITemplateOperation)`

Method Summary
`void` `generate(java.lang.String templatePath, JET2Context context, JET2Writer out)` Execute a JET2 template

Method Detail

### generate

    void generate(java.lang.String templatePath,
                  JET2Context context,
                  JET2Writer out)

  Execute a JET2 template

  Parameters:
    `templatePath` - the template path
    `context` - the JET invocation context
    `out` - the JET2 writer
  Throws:
    `java.lang.IllegalArgumentException` - if templatePath cannot be resolved.

Copyright 2006 IBM Corporation and others. All Rights Reserved.